/*
 *		XPfunctionsnoise.h
 *
 *	(C) 2003 ramjac Software/Patrick Enoch
 *
 *	perlin-noise functions in 1,2,3 and 4 dimensions
 */
#ifndef __XP_FUNCTIONSNOISE_
#define __XP_FUNCTIONSNOISE_

double noise(double x);

/*
 *	noise2d uses only X and Y component of vector
 */
double noise2d(vec a);

double noise3d(vec a);
double noise4d(vec a,double b);

/*
 *	noise-vector is just a vector of noise
 */
inline vec dnoise(vec a){	return vec( noise(a.X), noise(a.Y), noise(a.Z) );	}



#endif
